org.wildfly.swarm.jaxrs

## Interface JAXRSArchive

- All Superinterfaces:
    DependenciesContainer<JAXRSArchive>, JBossDeploymentStructureContainer<JAXRSArchive>, JBossWebContainer<JAXRSArchive>, MarkerContainer<JAXRSArchive>, StaticContentContainer<JAXRSArchive>, WebXmlContainer<JAXRSArchive>

      public interface JAXRSArchive
      extends DependenciesContainer<JAXRSArchive>, JBossDeploymentStructureContainer<JAXRSArchive>, JBossWebContainer<JAXRSArchive>, WebXmlContainer<JAXRSArchive>, MarkerContainer<JAXRSArchive>, StaticContentContainer<JAXRSArchive>

  An archive supporting easy usage of JAX-RS applications.

  This archive type provides all capabilities of usual `.war` archives, while also supporting the auto-creation of `javax.ws.rs.core.Application` class if none is provided by the user.

  Author:
    Bob McWhirter

- - ### Field Summary

    - ### Fields inherited from interface org.wildfly.swarm.spi.api.DependenciesContainer

      `ALL_DEPENDENCIES_MARKER`

    - ### Fields inherited from interface org.wildfly.swarm.spi.api.MarkerContainer

      `PATH_MARKERS`

    - ### Fields inherited from interface org.wildfly.swarm.undertow.descriptors.JBossWebContainer

      `JBOSS_WEB_PATH`

    - ### Fields inherited from interface org.wildfly.swarm.spi.api.JBossDeploymentStructureContainer

      `PRIMARY_JBOSS_DEPLOYMENT_DESCRIPTOR_PATH, SECONDARY_JBOSS_DEPLOYMENT_DESCRIPTOR_PATH`

    - ### Fields inherited from interface org.wildfly.swarm.undertow.StaticContentContainer

      `EXTERNAL_MOUNT_PATH, log`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `JAXRSArchive` | `addResource(Class<?> resource)`
    `static boolean` | `isJAXRS(Archive archive)`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.DependenciesContainer

      `addAllDependencies, addAllDependencies, addDependency`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.MarkerContainer

      `addMarker, addMarker, hasMarker, hasMarker`

    - ### Methods inherited from interface org.wildfly.swarm.undertow.descriptors.JBossWebContainer

      `findJbossWebAsset, getContextRoot, getSecurityDomain, setContextRoot, setSecurityDomain`

    - ### Methods inherited from interface org.wildfly.swarm.undertow.descriptors.WebXmlContainer

      `addContextParam, addFaviconExceptionHandler, addServlet, findWebXmlAsset, getContextParamValue, servlet`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.JBossDeploymentStructureContainer

      `addModule, addModule, excludeModule, excludeModule, getDescriptorAsset`

    - ### Methods inherited from interface org.wildfly.swarm.undertow.StaticContentContainer

      `mergeIgnoringDuplicates, staticContent, staticContent`

- - ### Method Detail

    - #### addResource

          JAXRSArchive addResource(Class<?> resource)

    - #### isJAXRS

          static boolean isJAXRS(Archive archive)

Copyright © 2017 JBoss by Red Hat. All rights reserved.